QRTOOL-COMPLETION(1)

NAME
qrtool-completion - generate shell completion

SYNOPSIS

qrtool completion SHELL

DESCRIPTION

This command generates shell completion. The completion is output to standard output.

POSITIONAL ARGUMENTS

SHELL
    Shell to generate completion for.

    The possible values are:

        bash
            Bash.

        elvish
            Elvish.

        fish
            fish.

        nushell
            Nushell.

        powershell
            PowerShell.

        zsh
            Zsh.

OPTIONS

-h, --help
    Print help message. The short flag (-h) will print a condensed help message while the long flag (--help) will print a detailed help message.

-V, --version
    Print version number.

EXIT STATUS

0
    Successful program execution.

1
    An error occurred.

2
    An error occurred while parsing command-line arguments.

Exit statuses other than these are defined by

NOTES

Source repository:

REPORTING BUGS

Report bugs to:

COPYRIGHT

Copyright © 2022 Shun Sakai and contributors

    1. This program is distributed under the terms of either the Apache License 2.0 or the MIT License.

    2. This manual page is distributed under the terms of the Creative Commons Attribution 4.0 International Public License.

This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO

qrtool(1), qrtool-decode(1), qrtool-encode(1)